Get vehicle details
curl --request GET \
--url https://api.app.hrizn.io/v1/public/inventory/{vin} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.app.hrizn.io/v1/public/inventory/{vin}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/inventory/{vin}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/inventory/{vin}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/inventory/{vin}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"vin": "<string>",
"year": 123,
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"vehicle_type": "<string>",
"price": 123,
"mileage": 123,
"exterior_color": "<string>",
"interior_color": "<string>",
"engine": "<string>",
"transmission": "<string>",
"drivetrain": "<string>",
"fuel_type": "<string>",
"body_style": "<string>",
"stock_number": "<string>",
"image_url": "<string>",
"images": [
"<string>"
],
"ai_description": "<string>",
"description_status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}Get vehicle details
GET
/
inventory
/
{vin}
Get vehicle details
Authorizations
Your Hrizn API key (prefix hzk_)
Path Parameters
Vehicle Identification Number
Required string length:
11 - 17Response
Vehicle details
Hide child attributes
Hide child attributes
Vehicle condition (new or used)
Primary photo URL
All photo URLs
Last modified on July 1, 2026
⌘I
